GuideLab Docs

Remove a member from a team chat group

Lab only, group members only. Any member may remove anyone; removing yourself leaves the group, and the response thread is then null.

DELETE
/team-chat/threads/{threadId}/members/{userId}

Lab only, group members only. Any member may remove anyone; removing yourself leaves the group, and the response thread is then null.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

threadId*string
Length1 <= length <= 200
userId*string
Length1 <= length <= 200

Response Body

application/json

curl -X DELETE "https://example.com/team-chat/threads/string/members/string"
{  "thread": {    "id": "string",    "kind": "dm",    "title": "string",    "memberUserIds": [      "string"    ],    "lastSequence": 0,    "lastActivityAt": "string",    "lastMessage": {      "id": "string",      "threadId": "string",      "sequence": 0,      "senderUserId": "string",      "body": "string",      "attachments": [        {          "id": "string",          "name": "string",          "mimeType": "string",          "size": 0        }      ],      "createdAt": "string"    },    "unreadCount": 0  }}
Empty
Empty
Empty
Empty
Empty